Bug 422511 - Make Geode X.org driver work
Make Geode X.org driver work
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-amd (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Warren Togami
Fedora Extras Quality Assurance
:
Depends On:
Blocks: LTSPHARDWARE
  Show dependency treegraph
 
Reported: 2007-12-12 16:23 EST by Warren Togami
Modified: 2008-03-21 18:12 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.0.0-44.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-21 18:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2007-12-12 16:23:54 EST
This is tracking bug to make the Geode driver xorg-x11-drv-amd work with
X.org-1.3 of Fedora 8.  Then later make it work with Fedora 9 by porting to
libpciaccess.

http://www.x.org/wiki/AMDGeodeDriver
Current status and TODO of the driver is kept here.
Comment 1 Sander de Bruijne 2007-12-24 07:47:54 EST
Compiling the driver by yourself (not the RPM package) and changing xorg.conf by
yourself ("X -configure" won't work) works on my F6, F7 and F8 machines.
http://lists.x.org/archives/xorg-driver-geode/2007-December/000039.html
Comment 2 Warren Togami 2008-02-27 01:32:12 EST
It depends on the BIOS of on your Geode board actually.
Comment 3 Warren Togami 2008-03-10 21:50:41 EDT
Fedora 8: 3 patches for X86EMU necessary for Geode are built in xorg-x11-server.
 Waiting for new upstream release of 2.7.7.7 before pushing to updates.
Fedora 9: Waiting for 2.7.7.7 as well.
Comment 4 Fedora Update System 2008-03-21 18:12:09 EDT
xorg-x11-server-1.3.0.0-44.fc8, xorg-x11-drv-amd-2.7.7.7-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.